summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJuergen Beisert <j.beisert@pengutronix.de>2007-11-09 12:02:20 +0100
committerJuergen Beisert <j.beisert@pengutronix.de>2007-11-09 12:02:20 +0100
commit4719b0bd55d14eca1b323f3dba5d70a0e8a02de0 (patch)
treef63b2eb618715ec7bdf1caef8ee097ed53ef8616
parentf4ba1fff89ad1f2d5d62db0b30d5008825929fe2 (diff)
parent837edfec0e37f4de3b422fca6364e5434b346063 (diff)
downloadbarebox-4719b0bd55d14eca1b323f3dba5d70a0e8a02de0.tar.gz
barebox-4719b0bd55d14eca1b323f3dba5d70a0e8a02de0.tar.xz
Merge branch 'master' of jbe@octopus:/home/git/projects/u-boot-v2
-rwxr-xr-xMAKEALL97
-rw-r--r--arch/sandbox/Makefile1
-rw-r--r--scripts/kconfig/conf.c8
-rw-r--r--scripts/mkmakefile36
4 files changed, 138 insertions, 4 deletions
diff --git a/MAKEALL b/MAKEALL
new file mode 100755
index 0000000000..97cea07bfa
--- /dev/null
+++ b/MAKEALL
@@ -0,0 +1,97 @@
+#!/bin/bash
+
+check_pipe_status() {
+ for i in "${PIPESTATUS[@]}"; do
+ [ $i -gt 0 ] && return 1
+ done
+ return 0
+}
+
+
+HERE=$(pwd)
+AUTOBUILD_DIR=${HERE}/autobuild
+REPORT=${AUTOBUILD_DIR}/REPORT
+
+if [ -d "${AUTOBUILD_DIR}" ]; then
+ echo "warning: ${AUTOBUILD_DIR} exists, press <ctrl-c> to exit or wait for 3 seconds"
+ sleep 3
+ rm -fr ${AUTOBUILD_DIR}
+fi
+
+mkdir -p ${AUTOBUILD_DIR}
+
+BOARDS="${BOARDS} sandbox"
+sandbox_ARCH=sandbox
+sandbox_CROSS_COMPILE=
+
+BOARDS="${BOARDS} eco920"
+eco920_ARCH=arm
+eco920_CROSS_COMPILE=arm-v4t-linux-gnueabi-
+
+BOARDS="${BOARDS} ipe337"
+ipe337_ARCH=blackfin
+ipe337_CROSS_COMPILE=
+
+BOARDS="${BOARDS} netx_nxdb500"
+netx_nxdb500_ARCH=arm
+netx_nxdb500_CROSS_COMPILE=arm-v4t-linux-gnueabi-
+
+BOARDS="${BOARDS} pcm030"
+pcm030_ARCH=ppc
+pcm030_CROSS_COMPILE=powerpc-603e-linux-gnu-
+
+BOARDS="${BOARDS} pcm037"
+pcm037_ARCH=arm
+pcm037_CROSS_COMPILE=arm-1136jfs-linux-gnueabi-
+
+BOARDS="${BOARDS} pcm038"
+pcm038_ARCH=arm
+pcm038_CROSS_COMPILE=arm-v4t-linux-gnueabi-
+
+BOARDS="${BOARDS} scb9328"
+scb9328_ARCH=arm
+scb9328_CROSS_COMPILE=arm-v4t-linux-gnueabi-
+
+for board in ${BOARDS}; do
+
+ time_start=$(date +%s)
+ arch=${board}_ARCH
+ cross_compile=${board}_CROSS_COMPILE
+ mkdir -p ${AUTOBUILD_DIR}/${board}
+ printf "%-20s defconfig: " ${board} | tee -a ${REPORT}
+
+ make -C ${HERE} \
+ O=${AUTOBUILD_DIR}/${board} \
+ ARCH=${!arch} \
+ ${board}_defconfig \
+ > ${AUTOBUILD_DIR}/${board}.log 2>&1
+
+ check_pipe_status
+ if [ "$?" = "0" ]; then
+
+ printf "OK " | tee -a ${REPORT}
+ printf "compile: " ${board} | tee -a ${REPORT}
+
+ make -C ${HERE} \
+ O=${AUTOBUILD_DIR}/${board} \
+ ARCH=${!arch} \
+ CROSS_COMPILE=${!cross_compile} \
+ > ${AUTOBUILD_DIR}/${board}.log 2>&1
+
+ check_pipe_status
+ if [ "$?" = "0" ]; then
+ printf "OK " | tee -a ${REPORT}
+ else
+ printf "FAILED " | tee -a ${REPORT}
+ fi
+
+ else
+ printf "FAILED " | tee -a ${REPORT}
+ printf "compile: ------ " | tee -a ${REPORT}
+ fi
+
+ time_stop=$(date +%s)
+ time_diff=$(($time_stop - $time_start))
+ printf "%4is\n" $time_diff | tee -a ${REPORT}
+done
+
diff --git a/arch/sandbox/Makefile b/arch/sandbox/Makefile
index 80545e90a9..7701c68620 100644
--- a/arch/sandbox/Makefile
+++ b/arch/sandbox/Makefile
@@ -6,6 +6,7 @@ CPPFLAGS += -fno-builtin -ffreestanding -nostdinc -Wall \
machine-y := sandbox
+lds-y := arch/sandbox/lib/u-boot.lds
BOARD:= arch/sandbox/lib
board-y := sandbox
lds-y := arch/sandbox/lib/u-boot.lds
diff --git a/scripts/kconfig/conf.c b/scripts/kconfig/conf.c
index a38787a881..b82d01af4e 100644
--- a/scripts/kconfig/conf.c
+++ b/scripts/kconfig/conf.c
@@ -559,8 +559,8 @@ int main(int ac, char **av)
case ask_silent:
if (stat(".config", &tmpstat)) {
printf(_("***\n"
- "*** You have not yet configured your kernel!\n"
- "*** (missing kernel .config file)\n"
+ "*** You have not yet configured u-boot!\n"
+ "*** (missing .config file)\n"
"***\n"
"*** Please run some configurator (e.g. \"make oldconfig\" or\n"
"*** \"make menuconfig\" or \"make xconfig\").\n"
@@ -617,12 +617,12 @@ int main(int ac, char **av)
check_conf(&rootmenu);
} while (conf_cnt);
if (conf_write(NULL)) {
- fprintf(stderr, _("\n*** Error during writing of the kernel configuration.\n\n"));
+ fprintf(stderr, _("\n*** Error during writing of the configuration.\n\n"));
return 1;
}
skip_check:
if (input_mode == ask_silent && conf_write_autoconf()) {
- fprintf(stderr, _("\n*** Error during writing of the kernel configuration.\n\n"));
+ fprintf(stderr, _("\n*** Error during writing of the configuration.\n\n"));
return 1;
}
diff --git a/scripts/mkmakefile b/scripts/mkmakefile
new file mode 100644
index 0000000000..7f9d544f9b
--- /dev/null
+++ b/scripts/mkmakefile
@@ -0,0 +1,36 @@
+#!/bin/sh
+# Generates a small Makefile used in the root of the output
+# directory, to allow make to be started from there.
+# The Makefile also allow for more convinient build of external modules
+
+# Usage
+# $1 - Kernel src directory
+# $2 - Output directory
+# $3 - version
+# $4 - patchlevel
+
+
+test ! -r $2/Makefile -o -O $2/Makefile || exit 0
+echo " GEN $2/Makefile"
+
+cat << EOF > $2/Makefile
+# Automatically generated by $0: don't edit
+
+VERSION = $3
+PATCHLEVEL = $4
+
+KERNELSRC := $1
+KERNELOUTPUT := $2
+
+MAKEFLAGS += --no-print-directory
+
+.PHONY: all \$(MAKECMDGOALS)
+
+all:
+ \$(MAKE) -C \$(KERNELSRC) O=\$(KERNELOUTPUT)
+
+Makefile:;
+
+\$(filter-out all Makefile,\$(MAKECMDGOALS)) %/:
+ \$(MAKE) -C \$(KERNELSRC) O=\$(KERNELOUTPUT) \$@
+EOF